if platform_family?('rhel') || platform?('fedora')
  default['jenkins-repo'].tap do |repo|
    repo['jenkins-stable']['yum'].tap do |yum|
      yum['repositoryid'] = 'jenkins-stable'
      yum['description'] = 'Jenkins Stable'
      yum['baseurl'] = 'http://pkg.jenkins-ci.org/redhat-stable'
      yum['gpgcheck'] = true
      yum['gpgkey'] = 'file:///etc/pki/rpm-gpg/RPM-GPG-KEY-Jenkins'
      yum['sslverify'] = false
      yum['enabled'] = true
    end

    repo['jenkins-mainline']['yum'].tap do |yum|
      yum['repositoryid'] = 'jenkins-mainline'
      yum['description'] = 'Jenkins Mainline'
      yum['baseurl'] = 'http://pkg.jenkins-ci.org/redhat'
      yum['gpgcheck'] = true
      yum['gpgkey'] = 'file:///etc/pki/rpm-gpg/RPM-GPG-KEY-Jenkins'
      yum['sslverify'] = false
      yum['enabled'] = true
    end
  end
end
